Bug 493061 - kpackagekit translations not working
kpackagekit translations not working
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 10:10 EDT by Sebastian Vahl
Modified: 2015-07-13 13:36 EDT (History)
7 users (show)

See Also:
Fixed In Version: kpackagekit-0.4.0-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-28 12:01:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of kpackagekit (84.65 KB, image/png)
2009-03-31 13:46 EDT, Sebastian Vahl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 189833 None None None Never

  None (edit)
Description Sebastian Vahl 2009-03-31 10:10:16 EDT
Description of problem:
Most strings of kpackagekit are not translated and still english. Only the translations that are defined in the desktop files (/usr/share/kde4/services/kpk_*.desktop) are shown in the defined language. So it seems that the *.mo files aren't used.

Version-Release number of selected component (if applicable):
kpackagekit-0.4.0-4.fc11.x86_64


How reproducible:
ever

Steps to Reproduce:
1. change system-wide language to something different than english
2. start kpackagekit
3.
  
Actual results:
not all strings are translated

Expected results:
all translated strings should be shown in the translated language

Additional info:
I've tested this with de_DE.UTF-8 (were the translation should be almost complete) and fr_FR.UTF-8.
Comment 1 Lukáš Tinkl 2009-03-31 12:40:36 EDT
Is it only some strings, or the whole app (parts of it) untranslated? Can you post some screenshots please?
Comment 2 iarly selbir 2009-03-31 13:16:40 EDT
It seems with this bug:

https://bugzilla.redhat.com/show_bug.cgi?id=487614
Comment 3 Sebastian Vahl 2009-03-31 13:46:25 EDT
Created attachment 337356 [details]
Screenshot of kpackagekit

Only the strings which are provided by the desktop files are translated. All other strings (which are located inside the mo's) are untranslated.
Comment 4 Sebastian Vahl 2009-03-31 13:49:07 EDT
(In reply to comment #3)

> Only the strings which are provided by the desktop files are translated. 

The three strings on the left side of the window (here in german: "Softwareverwaltung", "Software-Aktualisierung", "Einstellungen") are translated. These three strings (and the above "Hinzufügen und Entfernen von Software") are translated inside these files:

/usr/share/kde4/services/kpk_addrm.desktop
/usr/share/kde4/services/kpk_settings.desktop
/usr/share/kde4/services/kpk_update.desktop
/usr/share/kde4/services/settings-add-and-remove-software.desktop
Comment 5 Lukáš Tinkl 2009-03-31 14:39:08 EDT
(In reply to comment #2)
> It seems with this bug:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=487614  

This is unrelated
Comment 6 Lukáš Tinkl 2009-03-31 14:40:10 EDT
Could you please retest with the following build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1268272
Comment 7 Sebastian Vahl 2009-03-31 15:27:32 EDT
Sorry, I don't see any difference with this build.
Comment 8 Lukáš Tinkl 2009-04-01 06:04:18 EDT
I'm afraid I've run out of ideas :/ Any other user seeing this?
Comment 9 Sebastian Vahl 2009-04-14 11:23:12 EDT
Any progress? I've also seen this while testing a localized version of the kde livecd (so with a clean user account/installation).

I think, I'll put it on the meeting agenda.
Comment 10 Sebastian Vahl 2009-04-16 15:26:50 EDT
I've filed this bug upstream: https://bugs.kde.org/show_bug.cgi?id=189833
Comment 11 Lukáš Tinkl 2009-04-28 12:01:53 EDT
Fixed, hopefully for good now :)

Note You need to log in before you can comment on or make changes to this bug.